@echo off
if not exist .\PUSHCOPY.BAT goto THISDIR
echo.
echo PUSHCOPY.BAT
echo.
echo This procedure creates the $OEM$ directory structure and copies the files
echo necessary to install the Intel(R) PRO/1000 drivers during an unattended
echo installation of the operating system.  It supports Microsoft Windows NT 4.0*, 
echo Microsoft Windows 2000*, and Microsoft Windows XP*.  This procedure also 
echo copies the files necessary to install Intel(R) PROSet II.
echo.
echo * indicates a trademark of another company.
echo.
pause

rem *******************************************************************************
rem %1 = Destination Path
rem %2 = W2K or NT
rem *******************************************************************************

if "%2"=="w2k" goto Win2K
if "%2"=="W2K" goto Win2K
if "%2"=="xp"  goto WinXP
if "%2"=="XP"  goto WinXP
if "%2"=="nt"  goto WinNT
if "%2"=="NT"  goto WinNT
goto Usage


rem *******************************************************************************
rem 	WIN2K file copies
rem *******************************************************************************
:Win2K
echo *** Win2K file copy
rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$oem$
md %1\$oem$\$$
md %1\$oem$\$$\system32
md %1\$oem$\$1
md %1\$oem$\$1\drivers
md %1\$oem$\$1\drivers\net
md %1\$oem$\$1\drivers\net\e1000
md %1\$oem$\$1\drivers\net\E1000\Windows
md %1\$oem$\$1\drivers\net\E1000\Windows\Drivers
md %1\$oem$\$1\drivers\net\E1000\Windows\Drivers\Ia32


rem *******************************************************************************
rem Create the directories to put the NMS and PROSetII files
rem *******************************************************************************
md %1\$oem$\$1\drivers\net\E1000\Windows\nms
md %1\$oem$\$1\drivers\net\E1000\Windows\nms\ia32
md %1\$oem$\$1\drivers\net\E1000\Windows\Proset2
md %1\$oem$\$1\drivers\net\E1000\Windows\Proset2\ia32

rem *******************************************************************************
rem 	Copy all of the appropriate driver files
rem *******************************************************************************

copy ..\NET8254X.INF %1\$oem$\$1\drivers\net\e1000
copy ..\E1000.cat %1\$oem$\$1\drivers\net\e1000
copy ..\Windows\Drivers\IA32\NET8254X.DIN %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\IA32
copy ..\Windows\Drivers\IA32\E1000NT5.SYS %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\IA32
copy ..\Windows\Drivers\IA32\prounstl.exe %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\IA32
copy ..\Windows\Drivers\IA32\intelnic.dll %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\IA32

rem *******************************************************************************
rem Copy the sample UNATTEND.TXT
rem *******************************************************************************
copy win2k\*.*               %1\$oem$\$1\drivers\net\e1000

rem *******************************************************************************
rem Copy the ANS files
rem *******************************************************************************
copy ..\Windows\Drivers\Ia32\anspw2k.inf         %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\Ia32
copy ..\Windows\Drivers\Ia32\ansmw2k.inf         %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\Ia32
copy ..\Windows\Drivers\Ia32\iansw2k.cat         %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\Ia32
copy ..\Windows\Drivers\Ia32\iansw2k.sys         %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\Ia32
REM copy ..\Windows\Drivers\Ia32\iansndi.dll         %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\Ia32

rem *******************************************************************************
rem Copy W2KUPDAT.EXE
rem *******************************************************************************
copy ..\Windows\update\win2k\*.*  %1\$oem$\$1\drivers\net\e1000

rem *******************************************************************************
rem Copy the NMS files
rem *******************************************************************************
copy ..\Windows\nms\ia32\*.*                 %1\$oem$\$1\drivers\net\e1000\Windows\nms\ia32

rem *******************************************************************************
rem Copy the PROSetII files
rem *******************************************************************************
copy ..\Windows\proset2\ia32\*.*             %1\$oem$\$1\drivers\net\e1000\Windows\proset2\ia32

goto end


rem *******************************************************************************
rem 	WINXP file copies
rem *******************************************************************************
:WinXP
echo *** WinXP file copy
rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$oem$
md %1\$oem$\$$
md %1\$oem$\$$\system32
md %1\$oem$\$1
md %1\$oem$\$1\drivers
md %1\$oem$\$1\drivers\net
md %1\$oem$\$1\drivers\net\e1000
md %1\$oem$\$1\drivers\net\E1000\Windows
md %1\$oem$\$1\drivers\net\E1000\Windows\Drivers
md %1\$oem$\$1\drivers\net\E1000\Windows\Drivers\Ia32


rem *******************************************************************************
rem Create the directories to put the NMS and PROSetII files
rem *******************************************************************************
md %1\$oem$\$1\drivers\net\E1000\Windows\nms
md %1\$oem$\$1\drivers\net\E1000\Windows\nms\ia32
md %1\$oem$\$1\drivers\net\E1000\Windows\Proset2
md %1\$oem$\$1\drivers\net\E1000\Windows\Proset2\ia32
rem *******************************************************************************
rem 	Copy all of the appropriate driver files
rem *******************************************************************************

REM COPY FILES
copy ..\NET8254X.INF %1\$oem$\$1\drivers\net\e1000
copy ..\E1000.cat %1\$oem$\$1\drivers\net\e1000
copy ..\Windows\Drivers\IA32\NET8254X.DIN %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\IA32
copy ..\Windows\Drivers\IA32\E1000NT5.SYS %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\IA32
copy ..\Windows\Drivers\IA32\prounstl.exe %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\IA32
copy ..\Windows\Drivers\IA32\intelnic.dll %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\IA32


rem *******************************************************************************
rem Copy the sample UNATTEND.TXT
rem *******************************************************************************
copy XP\*.*               %1\$oem$\$1\drivers\net\e1000

rem *******************************************************************************
rem Copy the ANS files
rem *******************************************************************************
copy ..\Windows\Drivers\Ia32\anspw2k.inf         %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\Ia32
copy ..\Windows\Drivers\Ia32\ansmw2k.inf         %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\Ia32
copy ..\Windows\Drivers\Ia32\iansw2k.cat         %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\Ia32
copy ..\Windows\Drivers\Ia32\iansw2k.sys         %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\Ia32
REM copy ..\Windows\Drivers\Ia32\iansndi.dll         %1\$oem$\$1\drivers\net\e1000\Windows\Drivers\Ia32

rem *******************************************************************************
rem Copy W2KUPDAT.EXE
rem *******************************************************************************
copy ..\Windows\update\win2k\*.*  %1\$oem$\$1\drivers\net\e1000

rem *******************************************************************************
rem Copy the NMS files
rem *******************************************************************************
copy ..\Windows\nms\ia32\*.*                 %1\$oem$\$1\drivers\net\e1000\Windows\nms\ia32

rem *******************************************************************************
rem Copy the PROSetII files
rem *******************************************************************************
copy ..\Windows\proset2\ia32\*.*             %1\$oem$\$1\drivers\net\e1000\Windows\proset2\ia32

goto end



rem *******************************************************************************
rem 	WINNT file copies
rem *******************************************************************************
:WinNT
echo *** WinNT file copy

rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$OEM$
md %1\$OEM$\Net
md %1\$OEM$\Net\E1000
md %1\$OEM$\Net\E1000\Windows
md %1\$OEM$\Net\E1000\Windows\Drivers
md %1\$OEM$\Net\E1000\Windows\Drivers\IA32
md %1\$OEM$\Net\E1000\Windows\NMS
md %1\$OEM$\Net\E1000\Windows\NMS\IA32
md %1\$OEM$\Net\E1000\WIndows\PROSet2
md %1\$OEM$\Net\E1000\Windows\PROSet2\IA32

rem *******************************************************************************
rem 	Copy all of the appropriate NT installation files
rem *******************************************************************************

copy ..\e1000dsk %1\$OEM$\Net\E1000
copy ..\oemsetup.inf %1\$OEM$\Net\E1000

REM   Copy the unattend.txt and instructional text file.

copy winnt\unattend.txt %1
copy winnt\pushnt4.txt %1\$OEM$\Net\E1000
copy winnt\unattend.txt %1\$OEM$\Net\E1000

copy ..\Windows\NMS\IA32\nmscfg.sy_ %1\$OEM$\Net\E1000\Windows\NMS\IA32
copy ..\Windows\NMS\IA32\nmsdd.sy_ %1\$OEM$\Net\E1000\Windows\NMS\IA32
copy ..\Windows\NMS\IA32\nmssvc.ex_ %1\$OEM$\Net\E1000\Windows\NMS\IA32
copy ..\Windows\NMS\IA32\nmssvcps.dl_ %1\$OEM$\Net\E1000\Windows\NMS\IA32
copy ..\Windows\NMS\IA32\nmsmsg.dl_ %1\$OEM$\Net\E1000\Windows\NMS\IA32
copy ..\Windows\NMS\IA32\nmsapi.dl_ %1\$OEM$\Net\E1000\Windows\NMS\IA32
copy ..\Windows\NMS\IA32\regsvr32.ex_ %1\$OEM$\Net\E1000\Windows\NMS\IA32

copy ..\Windows\ProSet2\IA32\promon.ex_ %1\$OEM$\Net\E1000\Windows\PROSET2\IA32
copy ..\Windows\ProSet2\IA32\prosetp.hl_ %1\$OEM$\Net\E1000\Windows\PROSET2\IA32
copy ..\Windows\ProSet2\IA32\prosetp.cn_ %1\$OEM$\Net\E1000\Windows\PROSET2\IA32
copy ..\Windows\ProSet2\IA32\roboex32.dl_ %1\$OEM$\Net\E1000\Windows\PROSET2\IA32

copy ..\e1000dk2 %1\$OEM$\Net\E1000
copy ..\oemsetup.inf %1\$OEM$\Net\E1000
copy ..\Windows\ProSet2\IA32\prosetp.cp_ %1\$OEM$\Net\E1000\Windows\PROSET2\IA32

if NOT exist ..\Windows\ProSet2\IA32\prosetp.re_ goto NOREG

copy ..\Windows\ProSet2\IA32\prosetp.re_ %1\$OEM$\Net\E1000\Windows\ProSet2\IA32
:NOREG

if NOT exist ..\Windows\Drivers\IA32\e1000nt4.sys goto NODRV
copy ..\WIndows\Drivers\IA32\e1000nt4.sys %1\$OEM$\Net\E1000\Windows\Drivers\IA32
:NODRV
if NOT exist ..\Windows\Drivers\IA32\e1000nt4.sy_ goto NODRV2
copy ..\WIndows\Drivers\IA32\e1000nt4.sy_ %1\$OEM$\Net\E1000\Windows\Drivers\IA32
:NODRV2
if NOT exist ..\Windows\Drivers\IA32\iansnt4n.sy_ goto NO0DES
copy ..\Windows\Drivers\IA32\iansnt4n.sy_ %1\$OEM$\Net\E1000\Windows\Drivers\IA32
:NO0DES
if NOT exist ..\Windows\Drivers\IA32\iansnt4e.sy_ goto NO1DES
copy ..\Windows\Drivers\IA32\iansnt4e.sy_ %1\$OEM$\Net\E1000\Windows\Drivers\IA32
:NO1DES
if NOT exist ..\Windows\Drivers\IA32\iansnt4.sy_ goto NO3DES
copy ..\Windows\Drivers\IA32\iansnt4.sy_ %1\$OEM$\Net\E1000\Windows\Drivers\IA32
:NO3DES
if NOT exist ..\Windows\NMS\IA32\MVFT.re_ goto NOMVFT
copy ..\Windows\NMS\IA32\MVFT.re_ %1\$OEM$\Net\E1000\Windows\NMS\IA32
:NOMVFT

goto end

:THISDIR
echo.
echo.
echo PUSHCOPY must be run from the \PUSH directory on the CD or CD image to
echo work properly.  
echo.
echo Change directories to the \PUSH directory before running PUSHCOPY.
echo.
echo.


:Usage
echo.
echo usage rules;
echo pushcopy [Destination Path] [OS]
echo where [destination] is the drive letter and path (such as Z:)
echo       Do not add a trailing backslash (\) to the destination path. 
echo [OS] is the OS family
echo W2K   = Microsoft Windows 2000*
echo NT    = Microsoft Windows NT*
echo XP    = Microsoft Windows XP*
echo.

:end
